Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002307 [Piwigo] template minor always 2011.05.20 22:27 2011.05.25 20:28
Reporter mrjoel View Status public  
Assigned To mistic100
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.2 Product Version
  Target Version Product Build
Summary 0002307: Adjust registration form based on email requirement
Description The registration page should change the email field indications depending on whether the configuration is set to require email addresses or not.
Steps To Reproduce Go to registration page with email requirement enabled. Note that the asterisk from the field is missing and message just describes how it's sometimes useful instead of being required.
Additional Information Suggested diff after a quick look is listed below, although I would assume you want to do a check on the value of ($main.obligatory_user_mail_address) instead of indirectly.

    --- themes/default/template/register.orig.tpl 2011-05-19 19:10:40.000000000 +0000
    +++ themes/default/template/register.tpl 2011-05-19 19:13:35.000000000 +0000
    @@ -46,10 +46,12 @@
           
           

  •              <span class="property">
        - <label for="mail_address">{'Email address'|@translate}</label>
        + <label for="mail_address">{if not ($main.obligatory_user_mail_address)}* {/if}{'Email address'|@translate}</label>
                 </span>
                 <input type="text" name="mail_address" id="mail_address" value="{$F_EMAIL}" >
        + {if ($main.obligatory_user_mail_address)}
                 ({'useful when password forgotten'|@translate})
        + {/if}
               

  •          
    Tags No tags attached.
    browser any
    Database engine and version
    PHP version
    Web server Apache 1.3.x
    Attached Files

    - Relationships

    -  Notes
    (0005114)
    svn (reporter)
    2011.05.22 15:49

    [Subversion] r10992 by mistic100 on trunk

    -----[Subversion commit log]----------------------------------------------------
    bug:2307 Adjust registration form based on email requirement
    (0005115)
    svn (reporter)
    2011.05.22 15:51

    [Subversion] r10993 by mistic100 on branch 2.2

    -----[Subversion commit log]----------------------------------------------------
    bug:2307 merge r10992 from trunk - Adjust registration form based on email requirement

    - Issue History
    Date Modified Username Field Change
    2011.05.20 22:27 mrjoel New Issue
    2011.05.20 22:27 mrjoel browser => any
    2011.05.20 22:27 mrjoel Web server => Apache 1.3.x
    2011.05.22 15:33 mistic100 Status new => assigned
    2011.05.22 15:33 mistic100 Assigned To => mistic100
    2011.05.22 15:33 mistic100 Status assigned => confirmed
    2011.05.22 15:38 mistic100 Note Added: 0005113
    2011.05.22 15:49 svn Checkin
    2011.05.22 15:49 svn Note Added: 0005114
    2011.05.22 15:51 svn Checkin
    2011.05.22 15:51 svn Note Added: 0005115
    2011.05.22 15:51 mistic100 Note Deleted: 0005113
    2011.05.22 15:52 mistic100 Status confirmed => resolved
    2011.05.22 15:52 mistic100 Fixed in Version => 2.2.2
    2011.05.22 15:52 mistic100 Resolution open => fixed
    2011.05.25 20:28 mistic100 Status resolved => feedback
    2011.05.25 20:28 mistic100 Resolution fixed => reopened
    2011.05.25 20:28 mistic100 Status feedback => closed
    2011.05.25 20:28 mistic100 Resolution reopened => fixed


    Mantis 1.1.6[^]
    Copyright © 2000 - 2008 Mantis Group
    Contact
    Powered by Mantis Bugtracker